import { FieldInfo } from 'model-util-base';
/**
 * @author auto generate
 * @version 1.0
 * @date 2020-10-20 17:56
 */
export interface PfLotEiConfig {
    /**
    * 唯一标识
    * @type { string }
    */
    id?: string;
    /**
    * 车场ID
    * @type { string }
    */
    lotId?: string;
    /**
    * 电子发票配置ID
    * @type { string }
    */
    eiConfigId?: string;
    /**
    * 发票类型
    * @type { string }
    */
    eiType?: string;
    /**
    * 是否云端开票
    * @type { boolean }
    */
    enableCloudInvoice?: boolean;
    /**
    * 每月物业管理费
    * @type { number }
    */
    monthlyPmFee?: number;
    /**
    * 备注
    * @type { string }
    */
    remark?: string;
    /**
    * 创建时间
    * @type { Date }
    */
    createTime?: Date;
    /**
    * 更新时间
    * @type { Date }
    */
    updateTime?: Date;
    /**
    * 是否使用车场名称
    * @type { boolean }
    */
    useLotName?: boolean;
    /**
    * 是否使用车场地址
    * @type { boolean }
    */
    useLotAddress?: boolean;
    /**
    * 是否使用车牌号
    * @type { boolean }
    */
    useCarNumber?: boolean;
}
export declare class PfLotEiConfigMI {
    static get ID(): FieldInfo;
    static get LOT_ID(): FieldInfo;
    static get EI_CONFIG_ID(): FieldInfo;
    static get EI_TYPE(): FieldInfo;
    static get ENABLE_CLOUD_INVOICE(): FieldInfo;
    static get MONTHLY_PM_FEE(): FieldInfo;
    static get REMARK(): FieldInfo;
    static get CREATE_TIME(): FieldInfo;
    static get UPDATE_TIME(): FieldInfo;
    static get USE_LOT_NAME(): FieldInfo;
    static get USE_LOT_ADDRESS(): FieldInfo;
    static get USE_CAR_NUMBER(): FieldInfo;
}
